Loading...
Searching...
No Matches
CheckNan< GridT, TreeIterT > Struct Template Reference

Checks NaN values. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types

using | ElementType = typename VecTraits< typename GridT::ValueType >::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT = typename tree::IterTraits< typename TreeIterT::NodeT, typename TreeIterT::ValueIterT >::template NodeConverter< typename GridT::TreeType::LeafNodeType >::Type

## Public Member Functions

| CheckNan ()
| Default constructor.
bool | operator() (const ElementType &v) const
| Return true if the scalar value is NaN.
template<typename T >
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| This allows for vector values to be checked component-wise.
bool | operator() (const TreeIterT &iter) const
| Return true if the tile at the iterator location is NaN.
bool | operator() (const VoxelIterT &iter) const
| Return true if the voxel at the iterator location is NaN.
std::string | str () const
| Return a string describing a failed check.

## Detailed Description

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v11_0::tools::CheckNan< GridT, TreeIterT >

Checks NaN values.

## Member Typedef Documentation

## ElementType

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## TileIterT

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

using TileIterT = TreeIterT

## VoxelIterT

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

using VoxelIterT = typename tree::IterTraits< typename TreeIterT::NodeT, typename TreeIterT::ValueIterT>::template NodeConverter<typename GridT::TreeType::LeafNodeType>::Type

## Constructor & Destructor Documentation

## CheckNan()

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

CheckNan | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

## operator()() [1/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const ElementType & | v | ) | const

inline

Return true if the scalar value is NaN.

## operator()() [2/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>
template<typename T >

std::enable_if< VecTraits< T >::IsVec, bool >::type operator() | ( | const T & | v | ) | const

inline

This allows for vector values to be checked component-wise.

## operator()() [3/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const TreeIterT & | iter | ) | const

inline

Return true if the tile at the iterator location is NaN.

## operator()() [4/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const VoxelIterT & | iter | ) | const

inline

Return true if the voxel at the iterator location is NaN.

## str()

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

std::string str | ( |  | ) | const

inline

Return a string describing a failed check.